package helpers;

import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import com.opencsv.CSVReader;

public class CSVHelper {
	
	public List readFromCsvToList(String path) throws IOException{
		
		CSVReader reader = new CSVReader(new FileReader(path));
	    List myEntries = reader.readAll();
	    
	    return myEntries;	
	}

	public List<String[]> readFromCsvToTable(String path) throws Exception
	{
		CSVReader reader = new CSVReader(new FileReader(path));
	     String [] nextLine;
	     List<String[]> list = new ArrayList<String[]>();
	     while ((nextLine = reader.readNext()) != null) {
	    	 
	    	list.add(nextLine);
	        System.out.println(nextLine[0] + nextLine[1] + "etc...");
	     }
		return list;
	}
}
